Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._2._1.query
Interface ServiceQueryResultType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  ServiceQueryResultTypeImpl

    public interface ServiceQueryResultType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Service Query Result Type'.

The following features are supported:

- `Group`
- `Object Ref`
- `Registry Object`
- `Registry Entry`
- `Service`

See Also:
  `QueryPackage.getServiceQueryResultType()`

Method Summary
`org.eclipse.emf.ecore.util.FeatureMap` | `getGroup()` Returns the value of the 'Group' attribute list.
`org.eclipse.emf.common.util.EList` | `getObjectRef()` Returns the value of the 'Object Ref' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRegistryEntry()` Returns the value of the 'Registry Entry' containment reference list.
`org.eclipse.emf.common.util.EList` | `getRegistryObject()` Returns the value of the 'Registry Object' containment reference list.
`org.eclipse.emf.common.util.EList` | `getService()` Returns the value of the 'Service' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getGroup

    org.eclipse.emf.ecore.util.FeatureMap getGroup()

  Returns the value of the 'Group' attribute list. The list contents are of type `FeatureMap.Entry`.

  If the meaning of the 'Group' attribute list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Group' attribute list.
  See Also:
    `QueryPackage.getServiceQueryResultType_Group()`

### getObjectRef

    org.eclipse.emf.common.util.EList getObjectRef()

  Returns the value of the 'Object Ref' containment reference list. The list contents are of type `ObjectRefType`.

  If the meaning of the 'Object Ref' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Object Ref' containment reference list.
  See Also:
    `QueryPackage.getServiceQueryResultType_ObjectRef()`

### getRegistryObject

    org.eclipse.emf.common.util.EList getRegistryObject()

  Returns the value of the 'Registry Object' containment reference list. The list contents are of type `RegistryObjectType`.

  If the meaning of the 'Registry Object' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Object' containment reference list.
  See Also:
    `QueryPackage.getServiceQueryResultType_RegistryObject()`

### getRegistryEntry

    org.eclipse.emf.common.util.EList getRegistryEntry()

  Returns the value of the 'Registry Entry' containment reference list. The list contents are of type `RegistryEntryType`.

  If the meaning of the 'Registry Entry' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Registry Entry' containment reference list.
  See Also:
    `QueryPackage.getServiceQueryResultType_RegistryEntry()`

### getService

    org.eclipse.emf.common.util.EList getService()

  Returns the value of the 'Service' containment reference list. The list contents are of type `ServiceType`.

  If the meaning of the 'Service' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Service' containment reference list.
  See Also:
    `QueryPackage.getServiceQueryResultType_Service()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD